Get Product Price
GET https://api.secure.quotivity.com/v1/pricebooks/{priceBookId}/{productId}/{currency}Retrieves the price of a specific product in a specific currency from a price book
Send your API key in the x-api-key header. See Generating API keys.
Path parameters
Section titled “Path parameters”| Name | Type | Required | Description |
|---|---|---|---|
priceBookId |
string | Yes | — |
productId |
string | Yes | — |
currency |
string | Yes | — |
Responses
Section titled “Responses”| Status | Body | Description |
|---|---|---|
200 |
ProductPriceResponse | ProductPriceResponseWrapper | Successfully retrieved product price |
400 |
— | Invalid product, product not in price book, or no price defined |
401 |
— | Unauthorized |
500 |
— | Internal Server Error |
Schemas
Section titled “Schemas”ProductPriceResponse
Section titled “ProductPriceResponse”| Field | Type | Required | Description |
|---|---|---|---|
productId |
string | Yes | — |
currency |
string | Yes | — |
standardPrice |
number | Yes | — |
listPrice |
number | Yes | — |
adjustmentType |
string | Yes | — |
ProductPriceResponseWrapper
Section titled “ProductPriceResponseWrapper”| Field | Type | Required | Description |
|---|---|---|---|
response |
ProductPriceResponse | Yes | — |
Ask the help center
Answers come from these guides, with links to the articles used.
Ask anything about configuring quoting in Quotivity Studio.